Endpoint Groups
Compute
Compute endpoint lifecycle, assignments, and health checks.
Get compute routing defaultsGET
/compute-defaults
Operation ID
getComputeRoutingDefaultsResponses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Update compute routing defaultsPATCH
/compute-defaults
Operation ID
updateComputeRoutingDefaultsRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
List compute endpointsGET
/compute-endpoints
Operation ID
listComputeEndpointsQuery Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
429 |
Client error |
500 |
Server error |
Create compute endpointPOST
/compute-endpoints
Registers a compute endpoint that can execute remote workloads and accept assignment-based routing.
Operation ID
createComputeEndpointRequest Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Get compute endpointGET
/compute-endpoints/{endpointName}
Operation ID
getComputeEndpointPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update compute endpointPATCH
/compute-endpoints/{endpointName}
Operation ID
updateComputeEndpointPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete compute endpointDELETE
/compute-endpoints/{endpointName}
Operation ID
deleteComputeEndpointPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
List compute assignmentsGET
/compute-endpoints/{endpointName}/assignments
Operation ID
listComputeAssignmentsPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointName |
string |
true |
- |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
max_results |
integer |
false |
- |
page_token |
string |
false |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Create compute assignmentPOST
/compute-endpoints/{endpointName}/assignments
Operation ID
createComputeAssignmentPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete compute assignmentDELETE
/compute-endpoints/{endpointName}/assignments/{assignmentId}
Operation ID
deleteComputeAssignmentPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
assignmentId |
string |
true |
- |
endpointName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Get compute endpoint healthGET
/compute-endpoints/{endpointName}/health
Operation ID
getComputeEndpointHealthPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
endpointName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
502 |
Server error |